Subject: RE: [lemonade] partial fetches with IMAP URLs?

From: [email-masked]
Date: Tue, 23 Nov 2004 16:26:48 -0600

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of ext Mark Crispin
> Sent: Tuesday, November 23, 2004 4:32 PM
...
> On Tue, 23 Nov 2004 [email-masked] wrote:
> > Why would a client want to authorize a slice of a message 
> or body part?
> > How would the granting client even know what slice to authorize?
> 
> I can think of any number of cases in which I might want to 
> grant access 
> to a portion of my mailbox but not all of it.  URLAUTH reduces the 
> granularity to message and segment within a message.  This is 
> a further 
> reduction in granularity.

I agree the granularity of message or section for authorization 
makes good sense. The granularity of an arbitrary slice of bytes 
of either a message or a section for authorization does not make 
sense to me.

> 
> Note that IMAPURL does not permit the full richness of IMAP 
> sections; in 
> particular, note that IMAPURL has a "section" syntax rule which is a 
> subset of the corresponding rule in IMAP.

I don't see the difference, but I don't think this is relevant. I'm
concerned with the partial byte range. The portion I'm talking about 
is authorization for an arbitrary slice of bytes from a message or 
a section.

Mike

_______________________________________________
lemonade mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/lemonade

---

From: Mark Crispin <[email-masked]>
Date: Tue, 23 Nov 2004 14:38:50 -0800 (Pacific Standard Time)

On Tue, 23 Nov 2004 [email-masked] wrote:
> The granularity of an arbitrary slice of bytes

I can think of use cases; but I agree that these use cases aren't 
particularly exciting given that there's always the existing choice of 
download-then-forward.

I'm not going to jump up and down for this functionality.  I'm just 
pointing out that it has a use which is not duplicated by any other 
proposal.  If we decide that this functionality is not important (and that 
is a question that I will "abstain" on), then there is no need to modify 
IMAP URLs because it can be done in the URLFETCH command.

>> Note that IMAPURL does not permit the full richness of IMAP sections; 
>> in particular, note that IMAPURL has a "section" syntax rule which is a 

One of the use cases (admittedly a stretch) is to represent an IMAP 
section that can not be represented in an IMAP URL.  As such, it goes on 
the "this is why we need it" pile.

The other side (which you may argue) is that this functionality isn't 
useful enough to merit updating IMAPURL.

-- Mark --

http://staff.washington.edu/mrc
Science does not emerge from voting, party politics, or public debate.
Si vis pacem, para bellum.